library ieee;
use ieee.std_logic_1164.all;

entity rs_latch is

  port (
    reset_i : in  std_logic;
    set_i   : in  std_logic;
    q_o     : out std_logic);

end entity rs_latch;

architecture a1 of rs_latch is

begin  -- architecture a1

  data: process (reset_i, set_i) is
  begin  -- process data
    if set_i = '1' then
      q_o <= '1';
    elsif reset_i = '1' then
      q_o <= '0';
    end if;
  end process data;

end architecture a1;
